• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Unable to play...
#1
XSadly, the minecraft server uses 1.12 but all other servers I play on use 1.12.2 so it’s really hard to play on HerondaleMC yeah so bai I’m still gonna gonna play tho
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)